Skip to content
Start here

Get information about an interconnect object

client.networkInterconnects.interconnects.get(stringicon, InterconnectGetParams { account_id } params, RequestOptionsoptions?): InterconnectGetResponse
GET/accounts/{account_id}/cni/interconnects/{icon}

Get information about an interconnect object

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic WAN ReadMagic Transit ReadMagic Transit Write
ParametersExpand Collapse
icon: string
params: InterconnectGetParams { account_id }
account_id: string

Customer account tag

ReturnsExpand Collapse
InterconnectGetResponse = NscInterconnectPhysicalBody { account, facility, name, 5 more } | NscInterconnectGcpPartnerBody { account, name, region, 3 more }
One of the following:
NscInterconnectPhysicalBody { account, facility, name, 5 more }
account: string
facility: Facility { address, name }
address: Array<string>
name: string
name: string
site: string

A Cloudflare site name.

slot_id: string
formatuuid
speed: string
type: string
owner?: string
NscInterconnectGcpPartnerBody { account, name, region, 3 more }
account: string
name: string
region: string
type: string
owner?: string
speed?: "50M" | "100M" | "200M" | 9 more

Bandwidth structure as visible through the customer-facing API.

One of the following:
"50M"
"100M"
"200M"
"300M"
"400M"
"500M"
"1G"
"2G"
"5G"
"10G"
"20G"
"50G"

Get information about an interconnect object

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const interconnect = await client.networkInterconnects.interconnects.get('icon', {
  account_id: 'account_id',
});

console.log(interconnect);
{
  "account": "account",
  "facility": {
    "address": [
      "string"
    ],
    "name": "name"
  },
  "name": "name",
  "site": "site",
  "slot_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "speed": "speed",
  "type": "type",
  "owner": "owner"
}
Returns Examples
{
  "account": "account",
  "facility": {
    "address": [
      "string"
    ],
    "name": "name"
  },
  "name": "name",
  "site": "site",
  "slot_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "speed": "speed",
  "type": "type",
  "owner": "owner"
}